from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import (
    BrandViewSet, 
    ProductViewSet, 
    CampaignViewSet, 
    BrandChatSessionViewSet
)

router = DefaultRouter()
router.register(r'brands', BrandViewSet)
router.register(r'products', ProductViewSet)
router.register(r'campaigns', CampaignViewSet)
router.register(r'chat-sessions', BrandChatSessionViewSet)

urlpatterns = [
    path('', include(router.urls)),
] 