# Generated by Django 5.2.1 on 2025-05-29 09:24

import uuid
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='FeishuCreator',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('record_id', models.CharField(max_length=100, unique=True, verbose_name='飞书记录ID')),
                ('contact_person', models.CharField(blank=True, max_length=50, verbose_name='对接人')),
                ('handle', models.TextField(blank=True, verbose_name='Handle')),
                ('tiktok_url', models.TextField(blank=True, verbose_name='链接')),
                ('fans_count', models.CharField(blank=True, max_length=50, verbose_name='粉丝数')),
                ('gmv', models.CharField(blank=True, max_length=100, verbose_name='GMV')),
                ('email', models.EmailField(blank=True, max_length=254, verbose_name='邮箱')),
                ('phone', models.CharField(blank=True, max_length=50, verbose_name='手机号|WhatsApp')),
                ('account_type', models.CharField(blank=True, max_length=50, verbose_name='账号属性')),
                ('price_quote', models.TextField(blank=True, verbose_name='报价')),
                ('response_speed', models.CharField(blank=True, max_length=50, verbose_name='回复速度')),
                ('cooperation_intention', models.CharField(blank=True, max_length=50, verbose_name='合作意向')),
                ('payment_method', models.CharField(blank=True, max_length=50, verbose_name='支付方式')),
                ('payment_account', models.CharField(blank=True, max_length=100, verbose_name='收款账号')),
                ('address', models.TextField(blank=True, verbose_name='收件地址')),
                ('has_ooin', models.CharField(blank=True, max_length=10, verbose_name='签约OOIN?')),
                ('source', models.CharField(blank=True, max_length=100, verbose_name='渠道来源')),
                ('contact_status', models.CharField(blank=True, max_length=50, verbose_name='建联进度')),
                ('cooperation_brands', models.JSONField(blank=True, default=list, verbose_name='合作品牌')),
                ('system_categories', models.CharField(blank=True, max_length=100, verbose_name='系统展示的带货品类')),
                ('actual_categories', models.CharField(blank=True, max_length=100, verbose_name='实际高播放量带货品类')),
                ('human_categories', models.CharField(blank=True, max_length=100, verbose_name='达人标想要货品类')),
                ('creator_base', models.CharField(blank=True, max_length=100, verbose_name='达人base')),
                ('notes', models.TextField(blank=True, verbose_name='父记录')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='更新时间')),
            ],
            options={
                'verbose_name': '创作者数据',
                'verbose_name_plural': '创作者数据',
            },
        ),
        migrations.CreateModel(
            name='FeishuTableMapping',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('app_token', models.CharField(max_length=100, verbose_name='应用令牌')),
                ('table_id', models.CharField(max_length=100, verbose_name='表格ID')),
                ('table_url', models.TextField(verbose_name='表格URL')),
                ('table_name', models.CharField(max_length=100, verbose_name='数据库表名')),
                ('feishu_table_name', models.CharField(blank=True, max_length=255, null=True, verbose_name='飞书表格名称')),
                ('last_sync_time', models.DateTimeField(auto_now=True, verbose_name='最后同步时间')),
                ('total_records', models.IntegerField(default=0, verbose_name='总记录数')),
            ],
            options={
                'verbose_name': '飞书表格映射',
                'verbose_name_plural': '飞书表格映射',
                'unique_together': {('app_token', 'table_id')},
            },
        ),
    ]
