from django.urls import path
from .views import (
    FeishuTableRecordsView, 
    FeishuDataSyncView,
    FeishuTableMappingListView,
    FeishuTableMappingDetailView,
    GmailExtractionView,
    AutoGmailConversationView,
    BatchGmailConversationView
)

urlpatterns = [
    path('table-records/', FeishuTableRecordsView.as_view(), name='feishu-table-records'),
    path('sync-data/', FeishuDataSyncView.as_view(), name='feishu-sync-data'),
    path('mappings/', FeishuTableMappingListView.as_view(), name='feishu-table-mappings'),
    path('mappings/<int:pk>/', FeishuTableMappingDetailView.as_view(), name='feishu-table-mapping-detail'),
    path('extract-gmail/', GmailExtractionView.as_view(), name='gmail-extraction'),
    path('auto-conversations/', AutoGmailConversationView.as_view(), name='auto-conversations'),
    path('batch-conversations/', BatchGmailConversationView.as_view(), name='batch-conversations'),
]
